




.section ".opd", "aw" ; .align 3; .global &mFNAME ; &mFNAME: .llong .&mFNAME, .TOC.@tocbase, 0 ; .size &mFNAME, 3*8
	.extern  	&mFNAM2[ds]
	.text ; .align 2
.global .&mFNAME ; .type .&mFNAME , @function ; .&mFNAME:
	mflr	11
	lwz	0, 0(11)
	lis	12, 0xe8410028>>16
	ori	12, 12, 0xe8410028&0xffff
 	cmp	0, 0, 0, 12
	beq	&mFNAME.ptrentry
	lwz	0, -8(11)
	lis	12, 0x4f7bdb82>>16
	ori	12, 12, 0x4f7bdb82&0xffff
 	cmp	0, 0, 0, 12
	beq	&mFNAME.ptrentry
	std	2, 40(1)
	lwz	0, 4(11)	
	lis	12, 0x4f5ad382>>16
	ori	12, 12, 0x4f5ad382&0xffff
	cmp	0, 0, 0, 12
	std	11, 32(1)
	bne	&mFNAME.notcobol
	cror	27, 27, 27
	bl	&mFNAME.ptrentry
	nop
	cror	26, 26, 26
	b	&mFNAME.return
&mFNAME.notcobol:
	cror	27, 27, 27
	bl	&mFNAME.ptrentry
	nop
&mFNAME.return:
	ld	11, 32(1)
	ld	2, 40(1)
	mtlr	11
	blr
&mFNAME.ptrentry:
	ld	11,&mFNAM2@got(2)
	ld	0,0(11)
	ld	2,8(11)
	mtctr	0
	bctr
	.long	0		# traceback table marker
	.long	0x000c0000	# version 0, assembler
	.long	0
